nRF51 SDK: ble_sc_ctrlpt_s Struct Reference

| nRF51 SDK

- Home
- Related Pages
- API Reference
- Data Structures

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Data Fields
ble_sc_ctrlpt_s Struct Reference
Speed and Cadence Control Point

Speed and Cadence Control Point structure. This contains various status information for the Speed and Cadence Control Point behavior. More...

`#include <ble_sc_ctrlpt.h>`

## Data Fields

uint8_t | supported_functions
uint16_t | service_handle
ble_gatts_char_handles_t | sc_ctrlpt_handles
uint16_t | conn_handle
ble_sensor_location_t | list_supported_locations [14]
uint8_t | size_list_supported_locations
ble_sc_ctrlpt_evt_handler_t | evt_handler
uint16_t | sensor_location_handle
ble_scpt_procedure_status_t | procedure_status
ble_srv_error_handler_t | error_handler
ble_sc_ctrlpt_resp_t | response

## Detailed Description

Speed and Cadence Control Point structure. This contains various status information for the Speed and Cadence Control Point behavior.

## Field Documentation

uint16_t ble_sc_ctrlpt_s::conn_handle

Handle of the current connection (as provided by the BLE stack, is BLE_CONN_HANDLE_INVALID if not in a connection).

ble_srv_error_handler_t ble_sc_ctrlpt_s::error_handler

Function to be called in case of an error.

ble_sc_ctrlpt_evt_handler_t ble_sc_ctrlpt_s::evt_handler

Handle of the parent service (as provided by the BLE stack).

ble_sensor_location_t ble_sc_ctrlpt_s::list_supported_locations[14]

list of supported sensor locations.

ble_scpt_procedure_status_t ble_sc_ctrlpt_s::procedure_status

status of possible procedure

ble_sc_ctrlpt_resp_t ble_sc_ctrlpt_s::response

pending response data.

ble_gatts_char_handles_t ble_sc_ctrlpt_s::sc_ctrlpt_handles

Handles related to the Speed and Cadence Control Point characteristic.

uint16_t ble_sc_ctrlpt_s::sensor_location_handle

handle for the sensor location characteristic (if sensor_location related operation are supported).

uint16_t ble_sc_ctrlpt_s::service_handle

Handle of the parent service (as provided by the BLE stack).

uint8_t ble_sc_ctrlpt_s::size_list_supported_locations

number of supported sensor locations in the list.

uint8_t ble_sc_ctrlpt_s::supported_functions

supported control point functionnalities see BLE_SRV_SC_CTRLPT_SUPP_FUNC.